
.turnkey-swiper {
    overflow: hidden;
}
.swiper-slide {
    height: var(--turnkey-content-height) !important;
    .wp-block-columns {
        height: 100%;
    }
    img {
        @media(max-width: 767px) {
            height: 100%;
        }
    }

    @media (min-width: 1200px) and (max-height: 800px) {
        max-height: 500px !important;
    }
}
.slider-info-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: var(--wp--preset--spacing--50);
    @media(max-width: 767px) {
        padding-top: 2rem;
        padding-left: 2rem;
        padding-right: 2rem;
        padding-bottom: 4.5rem !important;
        justify-content: start;
    }
    @media(max-width: 1023px) {
        padding-bottom: 4rem;
    }
    p {
        margin: 0;
    }
}

.turnkey-swiper__controls .slider-buttons {
    position: absolute;
    right: 0;
    padding: 0 var(--wp--preset--spacing--20);
    z-index: 2;
    bottom: var(--wp--preset--spacing--60);
    justify-content: space-between;
    width: 100%;
    @media(max-width: 1024px) {
        bottom: 3rem;
    }
    .wp-block-button__link {
        border-radius: 22px;
    }
    .wp-block-button__link::after {
        margin-left: 0;
        font-weight: 800;
    }
    .slider-next .wp-block-button__link::after {
        content: '\f061';
    }
    .slider-previous .wp-block-button__link::after {
        content: '\f060';
    }
    .swiper-button-disabled {
        pointer-events: none;
        .wp-block-button__link {
            background-color: rgb(from var(--wp--preset--color--chartreuse) r g b / 20%) !important;
            border: 1px solid var(--wp--preset--color--chartreuse);
            &::after {
                color: var(--wp--preset--color--white);
            }
        }
        
    }
}

.turnkey-swiper__controls .swiper-pagination {
    position: static;
    width: auto;
    display: flex;
    justify-content: center;
    gap: clamp(0.5rem, -0.45rem + 4.06vw, 1.5rem);
    margin-top: var(--wp--preset--spacing--30);
    .swiper-pagination-bullet {
        background-color: var(--wp--preset--color--sky);
        opacity: 1;
        width: 100%;
        border-radius: 0;
        height: 1px;
    }
    .swiper-pagination-bullet-active {
        background-color: var(--wp--preset--color--white);
        height: 4px;
        margin-top: -2px;
    }
    
}
